Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class DateTimePickerTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.DateTimePickerTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class DateTimePickerTag

extends AbstractUITag

See Also:
  `DateTimePicker`, Serialized Form

Field Summary
`protected String` | `adjustWeeks`
`protected String` | `dayWidth`
`protected String` | `displayFormat`
`protected String` | `displayWeeks`
`protected String` | `endDate`
`protected String` | `formatLength`
`protected String` | `iconPath`
`protected String` | `language`
`private static long` | `serialVersionUID`
`protected String` | `startDate`
`protected String` | `staticDisplay`
`protected String` | `templateCssPath`
`protected String` | `toggleDuration`
`protected String` | `toggleType`
`protected String` | `type`
`protected String` | `weekStartsOn`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateTimePickerTag()`

Method Summary
`Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`protected void` | `populateParams()`
`void` | `setAdjustWeeks(String adjustWeeks)`
`void` | `setDayWidth(String dayWidth)`
`void` | `setDisplayFormat(String displayFormat)`
`void` | `setDisplayWeeks(String displayWeeks)`
`void` | `setEndDate(String endDate)`
`void` | `setFormatLength(String formatLength)`
`void` | `setIconPath(String iconPath)`
`void` | `setLanguage(String language)`
`void` | `setStartDate(String startDate)`
`void` | `setStaticDisplay(String staticDisplay)`
`void` | `setTemplateCssPath(String templateCssPath)`
`void` | `setToggleDuration(String toggleDuration)`
`void` | `setToggleType(String toggleType)`
`void` | `setType(String type)`
`void` | `setWeekStartsOn(String weekStartsOn)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### displayWeeks

    protected String displayWeeks

### adjustWeeks

    protected String adjustWeeks

### startDate

    protected String startDate

### endDate

    protected String endDate

### weekStartsOn

    protected String weekStartsOn

### staticDisplay

    protected String staticDisplay

### dayWidth

    protected String dayWidth

### language

    protected String language

### iconPath

    protected String iconPath

### formatLength

    protected String formatLength

### displayFormat

    protected String displayFormat

### toggleType

    protected String toggleType

### toggleDuration

    protected String toggleDuration

### type

    protected String type

### templateCssPath

    protected String templateCssPath

Constructor Detail

### DateTimePickerTag

    public DateTimePickerTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             HttpServletRequest req,
                             HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractUITag`

### setAdjustWeeks

    public void setAdjustWeeks(String adjustWeeks)

### setDayWidth

    public void setDayWidth(String dayWidth)

### setDisplayWeeks

    public void setDisplayWeeks(String displayWeeks)

### setEndDate

    public void setEndDate(String endDate)

### setStartDate

    public void setStartDate(String startDate)

### setStaticDisplay

    public void setStaticDisplay(String staticDisplay)

### setWeekStartsOn

    public void setWeekStartsOn(String weekStartsOn)

### setLanguage

    public void setLanguage(String language)

### setDisplayFormat

    public void setDisplayFormat(String displayFormat)

### setFormatLength

    public void setFormatLength(String formatLength)

### setIconPath

    public void setIconPath(String iconPath)

### setToggleDuration

    public void setToggleDuration(String toggleDuration)

### setToggleType

    public void setToggleType(String toggleType)

### setType

    public void setType(String type)

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.